Loading...
Searching...
No Matches
pappso::ColorMapPlotConfig Struct Reference

`#include <colormapplotconfig.h>`

## Public Member Functions

| ColorMapPlotConfig ()
| ColorMapPlotConfig (const ColorMapPlotConfig &other)
| ColorMapPlotConfig (DataKind x_axis_data_kind, DataKind y_axis_data_kind, AxisScale x_axis_scale, AxisScale y_axis_scale, AxisScale z_axis_scale, std::size_t key_cell_count, std::size_t mz_cell_count, double min_key_value, double max_key_value, double min_mz_value, double max_mz_value, double orig_min_z_value, double orig_max_z_value)
ColorMapPlotConfig & | operator= (const ColorMapPlotConfig &other)
void | setOrigMinZValue (double value)
void | setOrigAndLastMinZValue (double value)
void | setOrigMaxZValue (double value)
void | setOrigAndLastMaxZValue (double value)
QString | toString () const

## Public Attributes

DataKind | xAxisDataKind = DataKind::unset
DataKind | yAxisDataKind = DataKind::unset
AxisScale | xAxisScale = AxisScale::orig
AxisScale | yAxisScale = AxisScale::orig
AxisScale | zAxisScale = AxisScale::orig
std::size_t | keyCellCount = 0
std::size_t | mzCellCount = 0
double | lastMinZFilterThresholdPercentage = 0.0
double | lastMaxZFilterThresholdPercentage = 0.0
double | minKeyValue = std::numeric_limits<double>::max()
double | maxKeyValue = std::numeric_limits<double>::min()
double | minMzValue = std::numeric_limits<double>::max()
double | maxMzValue = std::numeric_limits<double>::max()
double | origMinZValue = std::numeric_limits<double>::max()
double | lastMinZValue = std::numeric_limits<double>::max()
double | origMaxZValue = std::numeric_limits<double>::min()
double | lastMaxZValue = std::numeric_limits<double>::min()

## Detailed Description

Definition at line 22 of file colormapplotconfig.h.

## Constructor & Destructor Documentation

## ColorMapPlotConfig() [1/3]

pappso::ColorMapPlotConfig::ColorMapPlotConfig | ( |  | ) |

Definition at line 16 of file colormapplotconfig.cpp.

{
}

## ColorMapPlotConfig() [2/3]

pappso::ColorMapPlotConfig::ColorMapPlotConfig | ( | const ColorMapPlotConfig & | other | ) |

Definition at line 65 of file colormapplotconfig.cpp.

{
xAxisDataKind = other.xAxisDataKind;
yAxisDataKind = other.yAxisDataKind;
xAxisScale = other.xAxisScale;
yAxisScale = other.yAxisScale;
zAxisScale = other.zAxisScale;
keyCellCount = other.keyCellCount;
mzCellCount = other.mzCellCount;
minKeyValue = other.minKeyValue;
maxKeyValue = other.maxKeyValue;
minMzValue = other.minMzValue;
maxMzValue = other.maxMzValue;
origMinZValue = other.origMinZValue;
lastMinZValue = other.lastMinZValue;
origMaxZValue = other.origMaxZValue;
lastMaxZValue = other.lastMaxZValue;
}
pappso::ColorMapPlotConfig::maxMzValue
double maxMzValue
Definition colormapplotconfig.h:41
pappso::ColorMapPlotConfig::origMaxZValue
double origMaxZValue
Definition colormapplotconfig.h:46
pappso::ColorMapPlotConfig::origMinZValue
double origMinZValue
Definition colormapplotconfig.h:43
pappso::ColorMapPlotConfig::maxKeyValue
double maxKeyValue
Definition colormapplotconfig.h:38
pappso::ColorMapPlotConfig::lastMaxZValue
double lastMaxZValue
Definition colormapplotconfig.h:47
pappso::ColorMapPlotConfig::mzCellCount
std::size_t mzCellCount
Definition colormapplotconfig.h:32
pappso::ColorMapPlotConfig::lastMinZValue
double lastMinZValue
Definition colormapplotconfig.h:44
pappso::ColorMapPlotConfig::xAxisDataKind
DataKind xAxisDataKind
Definition colormapplotconfig.h:24
pappso::ColorMapPlotConfig::yAxisDataKind
DataKind yAxisDataKind
Definition colormapplotconfig.h:25
pappso::ColorMapPlotConfig::minKeyValue
double minKeyValue
Definition colormapplotconfig.h:37
pappso::ColorMapPlotConfig::xAxisScale
AxisScale xAxisScale
Definition colormapplotconfig.h:27
pappso::ColorMapPlotConfig::zAxisScale
AxisScale zAxisScale
Definition colormapplotconfig.h:29
pappso::ColorMapPlotConfig::minMzValue
double minMzValue
Definition colormapplotconfig.h:40
pappso::ColorMapPlotConfig::yAxisScale
AxisScale yAxisScale
Definition colormapplotconfig.h:28
pappso::ColorMapPlotConfig::keyCellCount
std::size_t keyCellCount
Definition colormapplotconfig.h:31

References keyCellCount, lastMaxZValue, lastMinZValue, maxKeyValue, maxMzValue, minKeyValue, minMzValue, mzCellCount, origMaxZValue, origMinZValue, xAxisDataKind, xAxisScale, yAxisDataKind, yAxisScale, and zAxisScale.

## ColorMapPlotConfig() [3/3]

pappso::ColorMapPlotConfig::ColorMapPlotConfig | ( | DataKind | x_axis_data_kind,
|  | DataKind | y_axis_data_kind,
|  | AxisScale | x_axis_scale,
|  | AxisScale | y_axis_scale,
|  | AxisScale | z_axis_scale,
|  | std::size_t | key_cell_count,
|  | std::size_t | mz_cell_count,
|  | double | min_key_value,
|  | double | max_key_value,
|  | double | min_mz_value,
|  | double | max_mz_value,
|  | double | orig_min_z_value,
|  | double | orig_max_z_value
| ) |  |

Definition at line 20 of file colormapplotconfig.cpp.

: xAxisDataKind(x_axis_data_kind),
yAxisDataKind(y_axis_data_kind),
xAxisScale(x_axis_scale),
yAxisScale(y_axis_scale),
zAxisScale(z_axis_scale),
keyCellCount(key_cell_count),
mzCellCount(mz_cell_count),
minKeyValue(min_key_value),
maxKeyValue(max_key_value),
minMzValue(min_mz_value),
maxMzValue(max_mz_value),
// Initialize both orig and last to the same value.
origMinZValue(orig_min_z_value),
lastMinZValue(orig_min_z_value),
// Initialize both orig and last to the same value.
origMaxZValue(orig_max_z_value),
lastMaxZValue(orig_max_z_value)
{
}

## Member Function Documentation

## operator=()

ColorMapPlotConfig & pappso::ColorMapPlotConfig::operator= | ( | const ColorMapPlotConfig & | other | ) |

Definition at line 92 of file colormapplotconfig.cpp.

{
if(this == &other)
return *this;
xAxisDataKind = other.xAxisDataKind;
yAxisDataKind = other.yAxisDataKind;
xAxisScale = other.xAxisScale;
yAxisScale = other.yAxisScale;
zAxisScale = other.zAxisScale;
keyCellCount = other.keyCellCount;
mzCellCount = other.mzCellCount;
minKeyValue = other.minKeyValue;
maxKeyValue = other.maxKeyValue;
minMzValue = other.minMzValue;
maxMzValue = other.maxMzValue;
origMinZValue = other.origMinZValue;
lastMinZValue = other.lastMinZValue;
origMaxZValue = other.origMaxZValue;
lastMaxZValue = other.lastMaxZValue;
return *this;
}

References keyCellCount, lastMaxZValue, lastMinZValue, maxKeyValue, maxMzValue, minKeyValue, minMzValue, mzCellCount, origMaxZValue, origMinZValue, xAxisDataKind, xAxisScale, yAxisDataKind, yAxisScale, and zAxisScale.

## setOrigAndLastMaxZValue()

void pappso::ColorMapPlotConfig::setOrigAndLastMaxZValue | ( | double | value | ) |

Definition at line 144 of file colormapplotconfig.cpp.

{
origMaxZValue = value;
lastMaxZValue = value;
}

References lastMaxZValue, and origMaxZValue.

Referenced by pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), and pappso::BaseColorMapPlotWidget::zAxisScaleToLog10().

## setOrigAndLastMinZValue()

void pappso::ColorMapPlotConfig::setOrigAndLastMinZValue | ( | double | value | ) |

Definition at line 130 of file colormapplotconfig.cpp.

{
origMinZValue = value;
lastMinZValue = value;
}

References lastMinZValue, and origMinZValue.

Referenced by pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), and pappso::BaseColorMapPlotWidget::zAxisScaleToLog10().

## setOrigMaxZValue()

void pappso::ColorMapPlotConfig::setOrigMaxZValue | ( | double | value | ) |

Definition at line 138 of file colormapplotconfig.cpp.

{
origMaxZValue = value;
}

References origMaxZValue.

## setOrigMinZValue()

void pappso::ColorMapPlotConfig::setOrigMinZValue | ( | double | value | ) |

Definition at line 124 of file colormapplotconfig.cpp.

{
origMinZValue = value;
}

References origMinZValue.

## toString()

QString pappso::ColorMapPlotConfig::toString | ( |  | ) | const

Definition at line 152 of file colormapplotconfig.cpp.

{
QString text = QString("xAxisDataKind: %1 - yAxisDataKind: %2")
.arg(static_cast<int>(xAxisDataKind))
.arg(static_cast<int>(yAxisDataKind));
text += QString("xAxisScale: %1 - yAxisScale: %2 - zAxisScale: %3 - ")
.arg(static_cast<int>(xAxisScale))
.arg(static_cast<int>(yAxisScale))
.arg(static_cast<int>(zAxisScale));
text += QString("keyCellCount: %1 - mzCellCount: %2 - ")
.arg(mzCellCount)
.arg(minKeyValue);
text += QString(
"minKeyValue: %8 - maxKeyValue: %9 - minMzValue: %10 - maxMzValue: "
"%11 - lastMinZValue: %12 - lastMaxZValue: %13")
.arg(keyCellCount)
.arg(maxKeyValue)
.arg(minMzValue)
.arg(maxMzValue)
.arg(lastMinZValue)
.arg(lastMaxZValue);
return text;
}

References keyCellCount, lastMaxZValue, lastMinZValue, maxKeyValue, maxMzValue, minKeyValue, minMzValue, mzCellCount, xAxisDataKind, xAxisScale, yAxisDataKind, yAxisScale, and zAxisScale.

## Member Data Documentation

## keyCellCount

std::size_t pappso::ColorMapPlotConfig::keyCellCount = 0

Definition at line 31 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), operator=(), and toString().

## lastMaxZFilterThresholdPercentage

double pappso::ColorMapPlotConfig::lastMaxZFilterThresholdPercentage = 0.0

Definition at line 35 of file colormapplotconfig.h.

## lastMaxZValue

double pappso::ColorMapPlotConfig::lastMaxZValue = std::numeric_limits<double>::min()

Definition at line 47 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), operator=(), setOrigAndLastMaxZValue(), toString(), pappso::BaseColorMapPlotWidget::zAxisFilterHighPassPercentage(), pappso::BaseColorMapPlotWidget::zAxisFilterLowPassPercentage(), pappso::BaseColorMapPlotWidget::zAxisFilterLowPassThreshold(), and pappso::BaseColorMapPlotWidget::zAxisScaleToLog10().

## lastMinZFilterThresholdPercentage

double pappso::ColorMapPlotConfig::lastMinZFilterThresholdPercentage = 0.0

Definition at line 34 of file colormapplotconfig.h.

## lastMinZValue

double pappso::ColorMapPlotConfig::lastMinZValue = std::numeric_limits<double>::max()

Definition at line 44 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), operator=(), setOrigAndLastMinZValue(), toString(), pappso::BaseColorMapPlotWidget::zAxisFilterHighPassPercentage(), pappso::BaseColorMapPlotWidget::zAxisFilterLowPassPercentage(), pappso::BaseColorMapPlotWidget::zAxisFilterLowPassThreshold(), and pappso::BaseColorMapPlotWidget::zAxisScaleToLog10().

## maxKeyValue

double pappso::ColorMapPlotConfig::maxKeyValue = std::numeric_limits<double>::min()

Definition at line 38 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), operator=(), and toString().

## maxMzValue

double pappso::ColorMapPlotConfig::maxMzValue = std::numeric_limits<double>::max()

Definition at line 41 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), operator=(), and toString().

## minKeyValue

double pappso::ColorMapPlotConfig::minKeyValue = std::numeric_limits<double>::max()

Definition at line 37 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), operator=(), and toString().

## minMzValue

double pappso::ColorMapPlotConfig::minMzValue = std::numeric_limits<double>::max()

Definition at line 40 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), operator=(), and toString().

## mzCellCount

std::size_t pappso::ColorMapPlotConfig::mzCellCount = 0

Definition at line 32 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), operator=(), and toString().

## origMaxZValue

double pappso::ColorMapPlotConfig::origMaxZValue = std::numeric_limits<double>::min()

Definition at line 46 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), operator=(), setOrigAndLastMaxZValue(), and setOrigMaxZValue().

## origMinZValue

double pappso::ColorMapPlotConfig::origMinZValue = std::numeric_limits<double>::max()

Definition at line 43 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::addColorMap(), pappso::BaseColorMapPlotWidget::addColorMap(), operator=(), setOrigAndLastMinZValue(), and setOrigMinZValue().

## xAxisDataKind

DataKind pappso::ColorMapPlotConfig::xAxisDataKind = DataKind::unset

Definition at line 24 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), operator=(), toString(), pappso::BaseColorMapPlotWidget::transposeAxes(), and pappso::BaseColorMapPlotWidget::xAxisDataKind().

## xAxisScale

AxisScale pappso::ColorMapPlotConfig::xAxisScale = AxisScale::orig

Definition at line 27 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::axisScale(), operator=(), toString(), and pappso::BaseColorMapPlotWidget::xAxisScale().

## yAxisDataKind

DataKind pappso::ColorMapPlotConfig::yAxisDataKind = DataKind::unset

Definition at line 25 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), operator=(), toString(), pappso::BaseColorMapPlotWidget::transposeAxes(), and pappso::BaseColorMapPlotWidget::yAxisDataKind().

## yAxisScale

AxisScale pappso::ColorMapPlotConfig::yAxisScale = AxisScale::orig

Definition at line 28 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::axisScale(), operator=(), toString(), and pappso::BaseColorMapPlotWidget::yAxisScale().

## zAxisScale

AxisScale pappso::ColorMapPlotConfig::zAxisScale = AxisScale::orig

Definition at line 29 of file colormapplotconfig.h.

Referenced by ColorMapPlotConfig(), pappso::BaseColorMapPlotWidget::axisScale(), operator=(), toString(), pappso::BaseColorMapPlotWidget::zAxisScale(), and pappso::BaseColorMapPlotWidget::zAxisScaleToLog10().

The documentation for this struct was generated from the following files:

- pappsomspp/widget/plotwidget/colormapplotconfig.h
- pappsomspp/widget/plotwidget/colormapplotconfig.cpp